> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Update Unit

PATCH https://{tenant_name}.benchling.com/api/v3/unit/{unit_id}
Content-Type: application/json

Update Unit.

Reference: https://docs.benchling.com/docs/api/benchling-api/unit/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `unit_id` (string, required) — ID of the Unit.

### Body (application/json)

This endpoint expects an object.

- `aliases` (list of string, optional) — Alternative abbreviations for this unit, e.g. alternate symbols.
- `archiveReason` (string, optional)
- `archived` (boolean, optional)
- `name` (string, optional) — The long-form name, e.g. "milliliter".
- `symbol` (string, optional) — The short-form label, e.g. "mL".

## Response

### 200

OK

- `__typename` (string, optional)
- `aliases` (list of string, optional) — Any additional short-form labels that should be recognized in input
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `conversionFactor` (string, optional) — Conversion factor relative to the UnitType's baseUnit. E.g. for a kilometer, the baseUnit is meter and the conversionFactor is 1000.
- `createdAt` (string, optional, nullable)
- `id` (string, optional)
- `modifiedAt` (string, optional, nullable)
- `name` (string, optional) — Default long-form identifier, e.g. "meter".
- `symbol` (string, optional) — Default short-form label, e.g. "m" for meter.
- `unitType` (UnitTypeRef, optional) — The unit type this unit belongs to. Units within the same UnitType are inter-convertible.

## Errors

### 400 Unit Update Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Unit Update Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Unit Update Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 409 Unit Update Request Conflict Error

Conflict

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Unit Update Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Unit Update Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### UnitTypeRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "__typename": "__typename",
  "aliases": [
    "aliases"
  ],
  "archiveReason": "archiveReason",
  "archived": true,
  "conversionFactor": "conversionFactor",
  "createdAt": "createdAt",
  "id": "id",
  "modifiedAt": "modifiedAt",
  "name": "name",
  "symbol": "symbol",
  "unitType": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/unit/unit_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/unit/unit_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```